Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Class ConnectorImpl

    java.lang.Object
      org.apache.jmeter.monitor.model.ConnectorImpl

All Implemented Interfaces:
  Connector

public class ConnectorImpl
extends Object
implements Connector

Version:
  $Revision: 674365 $

Constructor Summary
`ConnectorImpl()`

Method Summary
`String` | `getName()`
`RequestInfo` | `getRequestInfo()`
`ThreadInfo` | `getThreadInfo()`
`Workers` | `getWorkers()`
`void` | `setName(String value)`
`void` | `setRequestInfo(RequestInfo value)`
`void` | `setThreadInfo(ThreadInfo value)`
`void` | `setWorkers(Workers value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorImpl

    public ConnectorImpl()

Method Detail

### getThreadInfo

    public ThreadInfo getThreadInfo()

  Specified by:
    `getThreadInfo` in interface `Connector`

### setThreadInfo

    public void setThreadInfo(ThreadInfo value)

  Specified by:
    `setThreadInfo` in interface `Connector`

### getRequestInfo

    public RequestInfo getRequestInfo()

  Specified by:
    `getRequestInfo` in interface `Connector`

### setRequestInfo

    public void setRequestInfo(RequestInfo value)

  Specified by:
    `setRequestInfo` in interface `Connector`

### getWorkers

    public Workers getWorkers()

  Specified by:
    `getWorkers` in interface `Connector`

### setWorkers

    public void setWorkers(Workers value)

  Specified by:
    `setWorkers` in interface `Connector`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Connector`

### setName

    public void setName(String value)

  Specified by:
    `setName` in interface `Connector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.